#include "H/Function_Init.H"

/*************************************************************
说明：
1、Options for Target‘Target1’：BL51 Locate->Code Range:0x100
2、烧录选项请选择DISRST，复位脚作为普通IO使用
3、改变TEST的定义，可以分别测试对应的功能
4、注意：先在Function.H里面选择测试型号
5、IAP_Test，烧录选项请使能WDT，其他测试关闭WDT
6、版本：V1.0
***************************************************************/
/**************************************************************
现象：
1.BTM： P21每0.5s翻转一次
2.EXTI：INT14/15(P20/21)每收到一个下降沿，P25/P26翻转一次，且INT1_flag = 0x10说明INT14产生中断，INT1_flag = 0x20说明INT15产生中断；
				INT00(P10)每收到一个上升沿或者下降沿，P24翻转一次。
3.Timer：P21输出周期4ms的方波，P25输出周期10us的方波
4.PWM：输出相应占空比的PWM波形
5.SSI：UART1在12M，9600的波特率下，收到5Byte数据后回传该数据，TWI响应主机接收，SPI主从机收发程序
6.ADC: ADCValue获取正确采样值
7.IAP：修改烧录选项IAP Range为EEPROM，写入成功则P21翻转，此型号仅EEPROM可进行IAP操作
***************************************************************/

void main(void)
{
  IO_Init();

#if (Test == 1)
      BTM_Test();
#elif (Test == 2)
      EXTI_Test();
#elif (Test == 3)
      Timer_Test();
#elif (Test == 4)
      PWM_Test();
#elif (Test == 5)
      SSI_Test();
#elif (Test == 6)
      ADC_Test();
#elif (Test == 7)
      IAP_Test();
#elif (Test == 8)
      CHKSUM_Test();	
#endif

}

